<?php
/*
 * Plugin Name: CoolIris-Piclens
 * File :  config_param.inc.php  
 */
// Fichier contenant les parametres du plugin (pour le parser)

global $user;

if ( isset($row['file']) ) {
    $file_wo_ext = get_filename_wo_extension($row['file']);
    $file_wo_ext = str_replace('_', ' ', $file_wo_ext);
} else{
    $file_wo_ext = '';
}

$piclens_parse = array(
//		'%I0'	=> isset($row['id']) ? get_thumbnail_title($row)  : '',
		'%I1'	=> isset($row['id']) ? $row['id'] : ''  ,
		'%I2'	=> isset($row['name']) ?
					($plugins_ExtendedDesc ? trigger_event('render_element_description',$row['name']) 
											: $row['name'])
										: $file_wo_ext ,
		'%I3'	=> isset($row['comment']) ? 
					($plugins_ExtendedDesc ? trigger_event('render_element_description',$row['comment'])
											: $row['comment'])
										  : ''  ,
		'%I4'	=> isset($row['author']) ? $row['author'] : ''  ,
		'%I5'	=> isset ($row) ? DerivativeImage::url(IMG_THUMB, new SrcImage($row)) : '',
		'%I6'	=> isset($row['path']) ? DerivativeImage::url(IMG_MEDIUM, new SrcImage($row)) : '',
		'%I7'	=> isset($row['path']) ? DerivativeImage::url(IMG_XXLARGE, new SrcImage($row)) : '',
								
		'%I8'	=> (isset($row['category_id']) & isset($row['catname'])) ?
										duplicate_picture_url(array(	'image_id' => $row['id'],
																		'image_file' => $row['file'],
																		'category' => array(
																						'id' => $row['category_id'],
																						'name' => $row['catname'],
																						'permalink' => ''
																					  )
																		),
																		array('start')
															 )
										:
										duplicate_picture_url( array(	'image_id' => $row['id'],
																		'image_file' => $row['file']
																	),
																	 array('start')
															 )
					,

		'%I9'	=> isset ($row) ? embellish_url(get_root_url().DerivativeImage::url(IMG_THUMB, new SrcImage($row))) : '' ,
		'%IA'	=> isset($row['path']) ? embellish_url(get_root_url().DerivativeImage::url(IMG_MEDIUM, new SrcImage($row))) : '' ,
		'%IB'	=> isset($row['path']) ? embellish_url(get_root_url().DerivativeImage::url(IMG_XXLARGE, new SrcImage($row))) : '' ,
                
		'%IC'	=> isset($row['file']) ? $row['file'] : ''  ,
		'%ID'	=> isset($row['id']) ? get_comment($row['id'], $nb_comment) : ''  ,

		'%G1'	=> get_root_url(),

		'%C1'	=> isset($row['category_id']) ? $row['category_id'] : '',
		'%C2'	=> isset($row['catname']) ?
					($plugins_ExtendedDesc ? trigger_event('render_category_name',$row['catname'])
											: $row['catname'])
										  : ''  ,
		'%C3'	=> isset($row['catcomment']) ? 
							 ($plugins_ExtendedDesc ? trigger_event('render_category_description',$row['catcomment'])
													: $row['catcomment'])
											 : ''  ,
		'%C4'	=> isset($row['dir']) ? $row['dir'] : '',
		'%C5'	=> isset($row['dir']) ? embellish_url( get_root_url().'galerie/'.$row['dir']) : '',
		
		);
/*
%Ix Image
	%I1 : IMGID			ID
	%I2 : IMGNAME 		nom_image
	%I3 : IMGDESC		description
	%I4 : IMGAUTHOR		auteur
	%I5 : IMGTHUMB		URLThumb (path non complet : /galerie/category...)
	%I6 : IMGNORMAL		URLNormal (path non complet : /galerie/category...)
	%I7 : IMGHIGH		URLHigh (path non complet : /galerie/category...)
	%I8 : IMGPICTURE	URLPicture 
	%I9 : IMGTHUMBFULL	Lien complet vers Miniature
	%IA : IMGNORMALFULL	Lien complet vers Normale
	%IB : IMGHIGHFULL	Lien complet vers High
	%IC : IMGFILE		nom_fichier
	%IC : Commentaires

%Gx Generaux
	%G1 : 		root path : URL du piwigo
	

%Cx : Categories
	%C1 : CATID			ID
	%C2 : CATNAME		nom
	%C3 : CATDESC		description
	%C4 : CATPATH		Path de la galerie (non complet)
	%C5 : CATPATHFULL	Path complet de la galerie

*/
?>